Subject: Re: [PATCH v2] of: WARN on deprecated #address-cells/#size-cells handling

From: Michael Ellerman <[email-masked]>
Date: Tue, 26 Nov 2024 14:36:32 +1100

Michael Ellerman <[email-masked]> writes:
> "Rob Herring (Arm)" <[email-masked]> writes:
>> While OpenFirmware originally allowed walking parent nodes and default
>> root values for #address-cells and #size-cells, FDT has long required
>> explicit values. It's been a warning in dtc for the root node since the
>> beginning (2005) and for any parent node since 2007. Of course, not all
>> FDT uses dtc, but that should be the majority by far. The various
>> extracted OF devicetrees I have dating back to the 1990s (various
>> PowerMac, OLPC, PASemi Nemo) all have explicit root node properties.
>
> I have various old device trees that have been given to me over the
> years, and as far as I can tell they all have these properties (some of
> them are partial trees so it's hard to be 100% sure).
>
> So LGTM.

Turns out I was wrong.

The warning about #size-cells hits on some powermacs, possible fixup
patch here:

  https://lore.kernel.org/linuxppc-dev/[email-masked]/

cheers